com.genesyslab.wfm7.API.service.forecast761

## Class FrcActivityTemplateData

- java.lang.Object
- - com.genesyslab.wfm7.API.service.forecast761.FrcActivityTemplateData

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityTemplateData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0
    `private int` | `buId` Business Unit ID
    `private int` | `siteId` Site ID
    `private FrcTemplateData[]` | `templateData` Template data for Activity
    `private int` | `templateDataArraySize` Template data arrays size

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityTemplateData()`
    `FrcActivityTemplateData(int siteId, int activityId, int buId, int templateDataArraySize, FrcTemplateData[] templateData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityTemplateData.
    `int` | `getBuId()` Gets the buId value for this FrcActivityTemplateData.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityTemplateData.
    `FrcTemplateData[]` | `getTemplateData()` Gets the templateData value for this FrcActivityTemplateData.
    `int` | `getTemplateDataArraySize()` Gets the templateDataArraySize value for this FrcActivityTemplateData.
    `int` | `hashCode()`
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityTemplateData.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityTemplateData.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityTemplateData.
    `void` | `setTemplateData(FrcTemplateData[] templateData)` Sets the templateData value for this FrcActivityTemplateData.
    `void` | `setTemplateDataArraySize(int templateDataArraySize)` Sets the templateDataArraySize value for this FrcActivityTemplateData.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteId

          private int siteId

      Site ID

    - #### activityId

          private int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0

    - #### buId

          private int buId

      Business Unit ID

    - #### templateDataArraySize

          private int templateDataArraySize

      Template data arrays size

    - #### templateData

          private FrcTemplateData[] templateData

      Template data for Activity

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### FrcActivityTemplateData

          public FrcActivityTemplateData()

    - #### FrcActivityTemplateData

          public FrcActivityTemplateData(int siteId,
                                 int activityId,
                                 int buId,
                                 int templateDataArraySize,
                                 FrcTemplateData[] templateData)

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityTemplateData.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityTemplateData.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityTemplateData.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityTemplateData.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityTemplateData.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityTemplateData.
      Parameters:
        `buId` -

    - #### getTemplateDataArraySize

          public int getTemplateDataArraySize()

      Gets the templateDataArraySize value for this FrcActivityTemplateData.
      Returns:
        templateDataArraySize

    - #### setTemplateDataArraySize

          public void setTemplateDataArraySize(int templateDataArraySize)

      Sets the templateDataArraySize value for this FrcActivityTemplateData.
      Parameters:
        `templateDataArraySize` -

    - #### getTemplateData

          public FrcTemplateData[] getTemplateData()

      Gets the templateData value for this FrcActivityTemplateData.
      Returns:
        templateData

    - #### setTemplateData

          public void setTemplateData(FrcTemplateData[] templateData)

      Sets the templateData value for this FrcActivityTemplateData.
      Parameters:
        `templateData` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.